# sendmany {disallowed} - Bitcoin

#### Parameters

`dummy` - string, required

Must be set to “” for backwards compatibility.

`amounts` - json object, required

The addresses and amounts

`minconf` - numeric, optional

Ignored dummy value

`comment` - string, optional

A comment

`subtractfeefrom` - json array, optional

The fee will be equally deducted from the amount of each selected address. Those recipients will receive less bitcoins than you enter in their corresponding amount field. If no addresses are specified here, the sender pays the fee.

`replaceable` - boolean, optional, default=wallet default

Allow this transaction to be replaced by a transaction with higher fees via BIP 125

`conf_target` - numeric, optional, default=wallet -txconfirmtarget

Confirmation target in blocks

`estimate_mode` - string, optional, default=unset

The fee estimate mode, must be one of (case insensitive) “unset” “economical” “conservative”

`fee_rate` - numeric or string, optional, default=not set, fall back to wallet fee estimation

Specify a fee rate in sat/vB.

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' 
--header 'Content-Type: application/json' 
--data-raw '{"jsonrpc": "2.0",
"method": "sendmany",
"params": [null, null, null, null, null, null, null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/bitcoin-btc/btc_sendmany.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
